## com.vividsolutions.jts.index.sweepline
Class SweepLineIndex

    java.lang.Object
      com.vividsolutions.jts.index.sweepline.SweepLineIndex

public class SweepLineIndex
extends java.lang.Object

A sweepline implements a sorted index on a set of intervals. It is used to compute all overlaps between the interval in the index.

Version:
  1.7

Constructor Summary
`SweepLineIndex()`

Method Summary
`void` `add(SweepLineInterval sweepInt)`
`void` `computeOverlaps(SweepLineOverlapAction action)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SweepLineIndex

    public SweepLineIndex()

Method Detail

### add

    public void add(SweepLineInterval sweepInt)

### computeOverlaps

    public void computeOverlaps(SweepLineOverlapAction action)